.page-main {

  .wp {

    &-block {

      &-media {

        &-text {
          margin-top: 114px;
          margin-bottom: 200px;
          grid-template-columns: 50%;
          grid-gap: 50px;

          @include respond-to(mobile) {
            grid-gap: 10px;
            margin-top: 0;
            margin-bottom: 90px;
          }

          @include respond-to(laptop) {
            margin-top: 54px;
            margin-bottom: 170px;
          }

          &__content {
            padding: 0;

            p {
              font: 150px/150px $bn-r;
              letter-spacing: .01em;
              text-align: center;

              @include respond-to(mobile) {
                font: 32px/32px $bn-r;
                text-align: left;
              }
  
              @include respond-to(laptop) {
                font: 130px/130px $bn-r;
              }
  
              em {
                font: 47.3px/47px $bn-r;
                display: block;
                margin-top: -2px;

                @include respond-to(mobile) {
                  font: 17px/17px $bn-r;
                }
  
                @include respond-to(laptop) {
                  font: 40.5px/40px $bn-r;
                }
              }
            }
          }
        }
      }

      &-button {
        
        &__link {
          width: 140px;
          text-align: center;
          padding: 10px 0 7px;
          position: relative;
          letter-spacing: .1em;
          font: bold 20px/20px $bn-r, sans-serif;
          border: 0;
          opacity: 1;
          z-index: 2;
          @include transition;

          @include respond-to(hover) {

            &:hover {
              background: $blue;
            }
          }
        }
      }

      &-separator {
        height: 2px;
        background: $aqua;
        border: 0;
        margin: 76px auto 156px;
        @include respond;

        @include respond-to(mobile) {
          margin: 46px auto 76px;
        }
      }
    }
  }

  .advgb-recent-posts {
    margin-bottom: 50px;

    @include respond-to(mobile) {
      grid-template-columns: 1fr !important;
      grid-gap: 40px 0 !important;
    }

    .advgb-recent-post {
      color: $black;
      display: flex;
      flex-direction: row-reverse;
      align-items: center;
      position: relative;
      text-decoration: none;
  
      @include respond-to(mobile) {
        justify-content: center;
        align-items: flex-end;
      }
  
      .advgb-post-thumbnail {
        width: 80%;
        height: 100%;
        overflow: hidden;
        position: absolute;
        top: 0; left: 0;
        z-index: 1;
  
        @include respond-to(mobile) {
          width: 100%;
        }
  
        img {
          max-width: 100%;
          height: auto;
        }
  
        &:before {
          content: '';
          width: 100%;
          height: 100%;
          display: block;
          position: absolute;
          top: 0; left: 0;
          opacity: 0;
          display: none;
          @include gradient-radial($tr, #000);
          @include transition;
        }
      }
  
      .advgb-post-wrapper {
        width: 60%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        position: relative;
        padding: 40px 0;
        z-index: 2;
  
        @include respond-to(mobile) {
          width: 90%;
          padding: 0;
          margin-bottom: -30px;
        }
  
        .advgb-post-title {
          font: bold 36px/42px $bn-r, sans-serif;
          text-transform: uppercase;
          letter-spacing: .1em;
  
          @include respond-to(mobile) {
            font: bold 20px/25px $bn-r, sans-serif;
          }
  
          a {
            color: $black;
            text-decoration: none;
            display: block;
            background: $white;
            padding: 20px 0 10px 20px;
  
            @include respond-to(mobile) {
              padding: 10px;
            }
          }
        }
  
        .advgb-post-info, .advgb-post-content {
          display: none;
        }
      }
  
      @include respond-to(hover) {
  
        &:hover {
  
          .advgb-post-thumbnail {
  
            &:before {
              opacity: .6;
            }
          }
        }
      }
    }
  }

  .titles {

    &-one {
      font: bold 60px/60px $bn-r, sans-serif;
      text-align: center;
      text-transform: uppercase;
      letter-spacing: .1em;
      margin: 112px 0 45px;
      position: relative;
      z-index: 2;
  
      @include respond-to(mobile) {
        font: bold 30px/30px $bn-r, sans-serif;
        margin: 10px 0 30px;
      }
    }

    &-two {
      color: $gray-light;
      font: bold 200px/200px $athela, 'Time New Roman';
      text-align: center;
      text-transform: capitalize;
      letter-spacing: 0 !important;
      margin: -205px 0 35px;
      position: relative;
      z-index: 1;

      @include respond-to(mobile) {
        font: bold 100px/100px $athela, 'Time New Roman';
        margin: -110px 0 20px;
      }
    }
  }

  .service {
    display: flex;
    flex-wrap: wrap;
    margin-top: 70px;

    @include respond-to(mobile) {
      margin-top: 50px;
    }

    @include respond-to(laptop) {
      justify-content: space-between;
    }

    &-item {
      width: 450px;
      height: 250px;
      display: flex;
      flex-wrap: nowrap;
      align-items: center;
      text-decoration: none;
      position: relative;
      margin: 0 19px 50px 0;
      border: 2px solid $gray-white !important;

      @include respond-to(laptop) {
        width: 32%;
        margin-right: 0;
      }

      @include respond-to(mobile) {
        min-width: 300px;
        max-width: 500px;
        padding: 15px 0;
        margin: 0 auto 50px;
        height: auto;
      }

      &-content {
        position: relative;
        margin-left: 30px;
        z-index: 2;

        &_sub {
          color: $gray;
          font: 30px/30px $athela, 'Time New Roman';
          margin-bottom: 10px;

          span {
            padding: 10px 10px 10px 0;
            background: $white;
          }

          @include respond-to(laptop) {
            font: 28px/28px $athela, 'Time New Roman';
          }

          @include respond-to(mobile) {
            font: 20px/20px $athela, 'Time New Roman';
          }
        }

        &_title {
          color: $black;
          font: bold 50px/56px $bn-r, sans-serif;
          
          span {
            padding: 10px 10px 0 0;
            display: block;
            background: $white;
          }

          @include respond-to(laptop) {
            font: bold 40px/46px $bn-r, sans-serif;
          }

          @include respond-to(mobile) {
            font: bold 30px/36px $bn-r, sans-serif;
          }
        }

        &_link {
          color: $gray;
          font: 14px/14px $ssp-r, sans-serif;
          text-transform: uppercase;
          letter-spacing: .1em;
          margin-top: 10px;
          display: flex;
          align-items: center;

          span {
            width: 10px;
            height: 1px;
            display: block;
            position: relative;
            background: $gray;
            margin: 1px 0 0 3px;
            @include transition;

            &:before {
              content: '';
              width: 5px;
              height: 1px;
              display: block;
              background: $gray;
              position: absolute;
              top: -2px; right: 0;
              @include transform(rotate(45deg));
            }

            &:after {
              content: '';
              width: 5px;
              height: 1px;
              display: block;
              background: $gray;
              position: absolute;
              bottom: -2px; right: 0;
              @include transform(rotate(-45deg));
            }
          }
        }
      }

      &-image {
        width: 244px;
        height: 274px;
        position: absolute;
        bottom: 20px; right: 20px;
        z-index: 1;

        @include respond-to(laptop) {
          width: 224px;
          height: 254px;
        }

        @include respond-to(mobile) {
          width: 130px;
          height: 160px;
          bottom: 10px; right: 10px;
        }

        img {
          width: 244px;
          height: 274px;
          z-index: 1;

          @include respond-to(laptop) {
            width: 224px;
            height: 254px;
          }

          @include respond-to(mobile) {
            width: 130px;
            height: 160px;
          }
        }

        &:before {
          content: '';
          width: 100%;
          height: 100%;
          display: block;
          position: absolute;
          top: 0; left: 0;
          opacity: 0;
          @include gradient-radial($tr, #000);
          @include transition;
        }
      }

      @include respond-to(hover) {

        &:nth-of-type(3n) {
          margin-right: 0;
        }
      }

      @include respond-to(hover) {

        &:hover {
          border: 2px solid $gray-white;

          .service-item-content_link {

            span {
              margin-left: 7px;
            }
          }

          .service-item-image {

            &:before {
              opacity: .6;
            }
          }
        }
      }
    }
  }

  .reviews {
    display: flex;
    flex-direction: column;
    margin-bottom: 100px;

    @include respond-to(mobile) {
      margin-bottom: 50px;
    }

    &-company {
      display: flex;
      z-index: 2;

      &-item {
        width: 300px;
        height: 200px;
        display: flex;
        justify-content: center;
        align-items: center;
        background: $aqua;
        border: 0 !important;

        @include respond-to(mobile) {
          width: 120px;
          height: 80px;
        }

        @include respond-to(laptop) {
          width: 200px;
          height: 160px;
        }

        img {
          opacity: .3;
          @include transition;

          @include respond-to(mobile) {
            height: 40px;
          }

          @include respond-to(laptop) {
            height: 60px;
          }
        }

        &:nth-of-type(odd) {
          background: #66bec3;
        }

        @include respond-to(hover) {

          &:hover {

            img {
              opacity: .7;
            }
          }
        }

        &.active {

          img {
            opacity: 1;
          }
        }
      }
    }

    &-content {
      width: calc(100% - 70px);
      margin: 10px 0 0 70px;
      display: none;
      z-index: 2;

      @include respond-to(mobile) {
        width: 100%;
        flex-direction: column;
        margin: 10px 0 0 0;
      }

      &-text {
        width: 72%;
        border: 3px solid $gray-bbr;
        color: $white;
        font: 24px/36px $athela, 'Time New Roman';
        padding: 40px 50px;
        position: relative;

        @include respond-to(mobile) {
          width: calc(100% - 40px);
          border: 2px solid $white;
          color: $white;
          font: 16px/24px $athela, 'Time New Roman';
          padding: 10px 20px;
        }

        @include respond-to(laptop) {
          width: 62%;
        }

        &:before {
          content: '';
          position: absolute;
          top: 90px; right: -30px;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 30px 30px 0 0;
          border-color: $white transparent transparent transparent;
          z-index: 1;

          @include respond-to(mobile) {
            top: auto; bottom: -30px; right: 40px;
            border-width: 0 30px 30px 0;
            border-color: transparent $white transparent transparent;
          }
        }

        &:after {
          content: '';
          position: absolute;
          top: 92px; right: -24px;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 26px 26px 0 0;
          border-color: $aqua transparent transparent transparent;
          z-index: 1;

          @include respond-to(mobile) {
            top: auto; bottom: -25px; right: 42px;
            border-width: 0 27px 27px 0;
            border-color: transparent $aqua transparent transparent;
          }
        }
      }

      &-autor {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 50px 0 0 70px;

        @include respond-to(mobile) {
          flex-direction: row-reverse;
          align-items: center;
          margin-top: 40px;
          padding-right: 10px;
        }

        p {
          color: $white;
          padding: 0;
          margin: 20px 0 0 0;
          text-align: center;
          font: 30px/30px $ssp-r, sans-serif;

          @include respond-to(mobile) {
            font: 20px/20px $ssp-r, sans-serif;
            text-align: right;
            margin: 0 10px 0 0;
          }

          span {
            display: block;
            color: $white;
            margin-top: 10px;
            font: 16px/16px $athela, 'Time New Roman';

            @include respond-to(mobile) {
              font: 12px/12px $athela, 'Time New Roman';
              margin-top: 3px;
            }
          }
        }
      }

      &.active {
        display: flex;
      }
    }

    .slick {

      &-arrow {
        width: 60px;
        height: 60px;
        display: block;
        overflow: hidden;
        line-height: 9999px;
        border: 3px solid $gray-bbr;
        position: absolute;
        bottom: -70px; left: 0;
        background: $tr url('images/icons/arrow.png') center no-repeat;
        z-index: 2;

        @include respond-to(mobile) {
          display: none !important;
        }
      }

      &-next {
        bottom: -127px;
        @include transform(rotate(180deg));
      }
    }

    &:before {
      content: '';
      width: 5500px;
      height: 500px;
      display: block;
      position: absolute;
      top: -135px; left: -2000px;
      background: $aqua;
      z-index: 1;
      @include transform(rotate(-3deg));
    }

    &:after {
      content: '';
      width: 5500px;
      height: 500px;
      display: block;
      position: absolute;
      bottom: -80px; left: -2000px;
      background: $aqua;
      z-index: 1;
      @include transform(rotate(-3deg));

      @include respond-to(mobile) {
        bottom: -20px;
      }
    }
  }

  .partners {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 3px;
    margin: 78px 0 80px;

    @include respond-to(mobile) {
      margin: 38px 0 30px;
    }

    &-item {
      width: 100%;
      height: 300px;
      display: block;
      border: 0 !important;
      position: relative;
      @include transition;

      @include respond-to(mobile) {
        height: 20vh;
      }

      &-defalut {
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top:0 ; left: 0;
        background-position: center;
        background-repeat: no-repeat;
        opacity: .3;
        z-index: 2;
        @include transition-delay(all 500ms ease-in-out, 0ms);

        @include respond-to(mobile) {
          background-size: auto 8vh;
        }
      }

      &-hover {
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top:0 ; left: 0;
        background-position: center;
        background-repeat: no-repeat;
        opacity: 0;
        z-index: 2;
        @include transition-delay(all 500ms ease-in-out, 0ms);

        @include respond-to(mobile) {
          background-size: auto 8vh;
        }
      }

      &-bg {
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top:0 ; left: 0;
        background: $gray-brd;
        z-index: 1;
        @include transition-delay(all 500ms ease-in-out, 0ms);
      }

      @include respond-to(hover) {

        &:hover {

          .partners-item-defalut {
            opacity: 0;
            @include transition-delay(all 500ms ease-in-out, 400ms);
          }

          .partners-item-hover {
            opacity: 1;
            @include transition-delay(all 500ms ease-in-out, 400ms);
          }

          .partners-item-bg {
            background: $aqua;
            animation: animationFlip 800ms ease-in-out;
            @include transition-delay(all 500ms ease-in-out, 400ms);
          }
        }
      }
    }
  }

  .aqua {
    position: relative;
    background: $aqua;
    margin-bottom: 245px;

    @include respond-to(mobile) {
      margin: 90px 0 135px;
    }

    .titles {

      &-one {
        color: $white;
        position: relative;
        z-index: 3;
      }

      &-two {
        color: #6fcfd5;
        position: relative;
        z-index: 2;
      } 
    }
  }
}